aim4.config

## Enum Constants.LightStatus

- java.lang.Object
- - java.lang.Enum<Constants.LightStatus>
  - - aim4.config.Constants.LightStatus

- All Implemented Interfaces:
    Serializable, Comparable<Constants.LightStatus>
  Enclosing class:
    Constants

      public static enum Constants.LightStatus
      extends Enum<Constants.LightStatus>

  The three possible states of a traffic light: green, yellow, and red.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `GREEN` A green light means go.
    `RED` Red means stop.
    `YELLOW` Yellow light means a red light is coming soon.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Constants.LightStatus` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Constants.LightStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### GREEN

          public static final Constants.LightStatus GREEN

      A green light means go.

    - #### YELLOW

          public static final Constants.LightStatus YELLOW

      Yellow light means a red light is coming soon.

    - #### RED

          public static final Constants.LightStatus RED

      Red means stop.

  - ### Method Detail

    - #### values

          public static Constants.LightStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Constants.LightStatus c : Constants.LightStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Constants.LightStatus valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2013. All rights reserved.